# Enum Class Reaction.RegulationType

java.lang.Object
java.lang.Enum<Reaction.RegulationType>
org.snpeff.reactome.events.Reaction.RegulationType

All Implemented Interfaces:
  `Serializable, Comparable<Reaction.RegulationType>, Constable`

Enclosing class:
  `Reaction`

public static enum Reaction.RegulationType extends Enum<Reaction.RegulationType>
Reaction regulation types

Author:
  pablocingolani

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NegativeRegulation`
`PositiveRegulation`
`Requirement`

## Method Summary

Modifier and Type
Method
Description
`static Reaction.RegulationType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Reaction.RegulationType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NegativeRegulation

public static final Reaction.RegulationType NegativeRegulation

### PositiveRegulation

public static final Reaction.RegulationType PositiveRegulation

### Requirement

public static final Reaction.RegulationType Requirement

## Method Details

### values

public static Reaction.RegulationType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Reaction.RegulationType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null